curl --request DELETE \
--url https://admin-api.gominerva.com/v2/organizations/{orgId}/workspaces/{workspaceId}/crr-scorecards/{scorecardId} \
--header 'Authorization: <api-key>'import requests
url = "https://admin-api.gominerva.com/v2/organizations/{orgId}/workspaces/{workspaceId}/crr-scorecards/{scorecardId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://admin-api.gominerva.com/v2/organizations/{orgId}/workspaces/{workspaceId}/crr-scorecards/{scorecardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://admin-api.gominerva.com/v2/organizations/{orgId}/workspaces/{workspaceId}/crr-scorecards/{scorecardId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin-api.gominerva.com/v2/organizations/{orgId}/workspaces/{workspaceId}/crr-scorecards/{scorecardId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://admin-api.gominerva.com/v2/organizations/{orgId}/workspaces/{workspaceId}/crr-scorecards/{scorecardId}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://admin-api.gominerva.com/v2/organizations/{orgId}/workspaces/{workspaceId}/crr-scorecards/{scorecardId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {}
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}<string><string><string>Archive a CRR scorecard
Archives a scorecard. Requires an admin application key (tenant-scoped, created by an owner or admin) or a dashboard user token. Writes by a user token require an owner or admin.
curl --request DELETE \
--url https://admin-api.gominerva.com/v2/organizations/{orgId}/workspaces/{workspaceId}/crr-scorecards/{scorecardId} \
--header 'Authorization: <api-key>'import requests
url = "https://admin-api.gominerva.com/v2/organizations/{orgId}/workspaces/{workspaceId}/crr-scorecards/{scorecardId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://admin-api.gominerva.com/v2/organizations/{orgId}/workspaces/{workspaceId}/crr-scorecards/{scorecardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://admin-api.gominerva.com/v2/organizations/{orgId}/workspaces/{workspaceId}/crr-scorecards/{scorecardId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin-api.gominerva.com/v2/organizations/{orgId}/workspaces/{workspaceId}/crr-scorecards/{scorecardId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://admin-api.gominerva.com/v2/organizations/{orgId}/workspaces/{workspaceId}/crr-scorecards/{scorecardId}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://admin-api.gominerva.com/v2/organizations/{orgId}/workspaces/{workspaceId}/crr-scorecards/{scorecardId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {}
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}<string><string><string>Authorizations
An admin application key: Authorization: Api-Key <token> (or legacy x-api-key). Only tenant owners and admins can create one. Standard keys are refused with 403 on workspace management and tenant configuration routes.
Path Parameters
The organization (tenant) id. Must equal the tenant of the admin key.
A workspace id in this organization. A workspace of another organization is 404.
The scorecard id.
Query Parameters
The scorecard version you read. A stale version is refused.
x >= 1The revision note recorded with the archive.
1 - 500Response
Success
Envelope { data: { id, ... } } carrying the requested tenant-configuration record(s).